Package org.gradle.nativeplatform

## Interface TargetMachine

- All Known Subinterfaces:
    `TargetMachineBuilder`

      public interface TargetMachine

  Represents a combination of operating system and cpu architecture that a variant might be built for.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MachineArchitecture` | `getArchitecture()` | Returns the target architecture
    `OperatingSystemFamily` | `getOperatingSystemFamily()` | Returns the target operating system

- - ### Method Detail

    - #### getOperatingSystemFamily

          OperatingSystemFamily getOperatingSystemFamily()

      Returns the target operating system

    - #### getArchitecture

          MachineArchitecture getArchitecture()

      Returns the target architecture